apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: gallery-be-gateway
  namespace: gallery-be
spec:
  selector:
    istio: ingressgateway # use istio default controller
  servers:
    - hosts:
        - gallery-be.adaoncloud.com
      port:
        number: 443
        name: https-gallery-be
        protocol: HTTPS
      tls:
        mode: SIMPLE
        credentialName: "gallery-be-tls"
    - hosts:
        - gallery-be.adaoncloud.com
      port:
        name: http-gallery-be
        number: 80
        protocol: HTTP
